/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.safebigintegerconversionwithrangecheck;

import java.math.BigInteger;

/**
 *
 * @author omozegieaziegbe
 */
public class SafeBigIntegerConversionWithRangeCheck {

    public static void main(String[] args) {
        // A large BigInteger value
        BigInteger bigIntValue = new BigInteger("2147483648"); 
        
        // Check if it can fit into Integer range
        if (bigIntValue.compareTo(BigInteger.valueOf(Integer.MAX_VALUE)) <= 0 &&
            bigIntValue.compareTo(BigInteger.valueOf(Integer.MIN_VALUE)) >= 0) {
            
            // Safe to convert
            int intValue = bigIntValue.intValue();
            System.out.println("Converted Integer value: " + intValue);
        } else {
            System.out.println("BigInteger value is out of Integer range.");
        }
    }
}
